# Design System do Governo Federal

## Introdução

O Design System do Governo Federal apresenta os padrões de interface que devem ser seguidos por designers e desenvolvedores para garantir a experiência única na interação dos usuários com os sistemas interativos do Governo Federal.

## Rodando o projeto

1. Clone o repositório

    ```git
    git clone https://git.serpro.gov.br/dsgov.br/dsgov.br.git
    ```

1. Entre na branch develop

    ```git
    git checkout develop
    ```

1. Entre na pasta do clone e execute o comando:

    ```node
    npm install
    ```

1. Para executar o projeto execute o comando

    ```node
    npm run start
    ```

1. O projeto vai estar disponível pelo browser no endereço [http://localhost:9000](http://localhost:9000)

## Contribuindo com o Design System do Governo Federal

As contribuições não se limitam a criação de um novo item no Design System, convido vocês a nos apoiar através de feedbacks, evolução nas documentação, divulgação, ferramentas, reporte de bugs, testes, criação de bibliotecas em tecnologias específicas, solicitação de novas necessidades, etc.

> Antes de abrir uma issue, veja se já não existe uma aberta com a mesma solicitação ou algo relacionado que possa complementar.

Antes de solicitar um novo item, dúvida ou reportar um erro, primeiramente vocês precisarão se autenticar no [https://git.serpro.gov.br/](https://git.serpro.gov.br/), informando o usuário e senha LDAP corporativo.

Após autenticado pode abrir uma issue conforme necessidade:

-   [Faça uma pergunta](https://git.serpro.gov.br/dsgov.br/dsgov.br-backlogs/blob/master/.gitlab/issue_templates/QUESTION.md)
-   [Relate um Erro](https://git.serpro.gov.br/dsgov.br/dsgov.br-backlogs/blob/master/.gitlab/issue_templates/BUG.md)
-   [Solicite um novo Item](https://git.serpro.gov.br/dsgov.br/dsgov.br-backlogs/blob/master/.gitlab/issue_templates/CONTRIBUTING.md)

OBS: Na abertura de uma issue o gitlab trabalha com a sintaxe Markdown, caso tenham alguma dúvida disponibilizamos alguns links para ajudá-los:

-   [Editor de markdown Online](https://stackedit.io/app#)
-   [Markdown Cheatsheet](https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet)
-   [Sintaxe básica e formatação](https://help.github.com/pt/github/writing-on-github/basic-writing-and-formatting-syntax)

### Como os componentes serão priorizados

As issues abertas serão analisadas pelo time do DSGOV.BR e priorizada conforme definição abaixo:

-   Erro impeditivo
-   Quantidade de pessoas precisando de um mesmo item
-   Possibilidade de reuso
